# Installing Nvidia Drivers for Docker

If you are **not** using a virtual machine (you run Ubuntu LTS directly on your computer), and you have an Nvidia graphics card, you can get 3D-accelerated graphics according to [these instructions](https://github.com/NVIDIA/nvidia-docker). 

Alternatively, do the following (though the web page linked above may be more up to date):

```bash
# Add the package repositories
distribution=$(. /etc/os-release;echo $ID$VERSION_ID)
curl -s -L https://nvidia.github.io/nvidia-docker/gpgkey | sudo apt-key add -
curl -s -L https://nvidia.github.io/nvidia-docker/$distribution/nvidia-docker.list | sudo tee /etc/apt/sources.list.d/nvidia-docker.list

sudo apt-get update && sudo apt-get install -y nvidia-docker2
sudo systemctl restart docker
```
